
/**
 * 首页相关接口（原有工程的首页policy-research-ui）
 */
import request from '@/utils/request'
const baseUrl = '/v1/api'



// 最近阅读
export const getNearRead = (params) => {
    return request({
        url: baseUrl + '/index/nearRead',
        method: 'get',
        params
    })
}

// 最近创作
export const getNearCreation = (params) => {
    return request({
        url: baseUrl + '/user/nearCreation',
        method: 'get',
        params
    })
}

// 推荐
export const recommend = params => {
    return request({
        url: baseUrl + '/index/recommend',
        method: 'get',
        params
    })
}

// 热门
export const hot = params => {
    return request({
        url: baseUrl + '/index/hot',
        method: 'get',
        params
    })
}


export const getServiceTime = (params) => {
    return request({
        url: baseUrl + '/index/serverDateMillis',
        method: 'get',
        params
    })
}


export const search = params => {
    return request({
        url: baseUrl + '/index/search',
        method: 'get',
        params
    })
}


export const QueryKBaseData = data => {
    return request({
        url: baseUrl + '/index/QueryKBaseData',
        method: 'post',
        data
    })
}


export const wordcloud = params => {
    return request({
        url: baseUrl + '/index/wordcloud',
        method: 'get',
        params
    })
}

